Manuel PHP
Précédent |  | Suivant

# apc_define_constants

(PECL)

apc_define_constants -- Définit des constantes pour les récupérer plus tard et la définition de masse

## Description

bool apc_define_constants ( string key, array constants [, bool case_sensitive] )

define() est notoirement lent. Vu que le principal bénéfice d'APC est d'augmenter les performances des applications/scripts, ce mécanisme est fournit pour améliorer le processus de la définition de constantes de masse.

> Note : Pour effacer plusieurs constantes stockées (sans effacer tout le cache), un tableau vide peut être passé en tant que paramètre constants, ce qui effacera les valeurs stockées.

## Liste de paramètres

key

  La clé key correspondant au nom du jeux de constantes stockées. Ce paramètre key est utilisé pour récupérer les constantes stockées avec la fonction apc_load_constants().

constants

  Un tableau associatif de paires constant_name => value. Le constant_name doit suivre les règles de nommage normales des constantes. value doit être évaluer comme une valeur scalaire.

case_sensitive

  Le comportement par défaut pour les constantes est d'être déclarées en tenant compte de la casse ; i.e. CONSTANT et Constant représentent des valeurs différentes. Si ce paramètre est évalué à `FALSE`, les constantes seront déclarées en tant que symboles insensibles à la casse.

## Valeurs de retour

Cette fonction retourne `TRUE` en cas de succès, `FALSE` en cas d'échec.

## Exemples

Exemple 1. Exemple avec apc_define_constants()

`<?php $constants = array( 'ONE' => 1, 'TWO' => 2, 'THREE' => 3, ); apc_define_constants('numbers', $constants); apc_load_constants('numbers'); echo ONE, TWO, THREE; ?>`

L'exemple ci-dessus va afficher :

    123

## Voir aussi

apc_load_constants()
define()
constant()
Or la référence sur les constantes PHP

Précédent | Sommaire | Suivant
apc_clear_cache | Niveau supérieur | apc_delete